<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Article_ArtFilesPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellSpacing="0" cellPadding="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink ID="pathLink" runat="server" CssClass="pathLink"></asp:HyperLink> &gt;
                <asp:HyperLink ID="artLink" runat="server" CssClass="pathLink"></asp:HyperLink> 
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td class="formTitle">
                <asp:Localize id="L1" runat="server" 
                    Text="<%$ Resources:article, Manage_File_Attachments %>" />
            </td>
        </tr>
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:GridView ID="fileGrid" runat="server"
                    BorderStyle="Solid" GridLines="Horizontal" Width="100%" 
                    AutoGenerateColumns="False" CellPadding="3" 
                    OnRowDeleting="fileGrid_RowDeleting" 
                    DataKeyNames="af_id" OnRowEditing="fileGrid_RowEditing" >
                    <HeaderStyle HorizontalAlign="Left" />
                    <Columns>
                        <asp:HyperLinkField DataNavigateUrlFields="af_id" 
                            DataNavigateUrlFormatString="ArtFileSenderPage.aspx?fileID={0}"
                            DataTextField="af_id" Target="_blank" 
                            HeaderText="<%$ Resources:article, File_ID %>" />
                        <asp:BoundField DataField="af_file_name" 
                            HeaderText="<%$ Resources:article, File_Name %>" />
                        <asp:BoundField DataField="af_file_size" 
                            HeaderText="<%$ Resources:article, Size %>" />
                        <asp:BoundField DataField="af_updated_on" 
                            HeaderText="<%$ Resources:article, Updated_On %>" />
                        <asp:CommandField ShowEditButton="True" 
                            EditText="<%$ Resources:article, Replace %>" />
                        <asp:CommandField ShowDeleteButton="True" 
                            DeleteText="<%$ Resources:article, Delete %>" />
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        <tr id="newAttachmentTr" runat="server">
            <td>
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:article, New_attachment_num %>" />1:
                <input type="file" id="FileUpload1" runat="server" size="50"><br />
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:article, New_attachment_num %>" />2:
                <input type="file" id="FileUpload2" runat="server" size="50"><br />
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:article, New_attachment_num %>" />3:
                <input type="file" id="FileUpload3" runat="server" size="50"><br />
                <br />
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:article, RequestSizeLimit %>" />
                <br />
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:article, RequestSizeLimitError %>" />
                <br /><br />
                <asp:Button ID="uploadButton" runat="server" OnClick="uploadButton_Click" 
                    Text="Upload All" />
            </td>
        </tr>
        <tr id="replaceAttachmentTr" runat="server">
            <td>
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:article, Replace_num %>" />
                <asp:Label ID="fileNumToRepLabel" runat="server"></asp:Label> 
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:article, with %>" />
                <input type="file" id="FileUploadReplace" runat="server" size="50"><br /><br />
                <asp:Button ID="replaceButton" runat="server" OnClick="replaceButton_Click"
                    Text="<%$ Resources:article, Replace %>" />
            </td>
        </tr>
        <tr id="delAttachmentTr" runat="server">
            <td>
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:article, SureToDelAttach %>" />: 
                <asp:Label ID="fileNumToDelLabel" runat="server"></asp:Label>
                &nbsp;
                <asp:Button ID="delNoButton" runat="server" 
                    Text="<%$ Resources:article, No %>" OnClick="delNoButton_Click" />
                    &nbsp;
                <asp:Button ID="delYesButton" runat="server" 
                    Text="<%$ Resources:article, Yes %>" OnClick="delYesButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

