<%@ page language="C#" masterpagefile="~/Call/RecvMasterPage.master" autoeventwireup="true" inherits="Recv_FindSrPage, nServiceDeploy" title="Untitled Page" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="listTitle">
                <asp:Localize id="L1" runat="server" Text="<%$ Resources:call, step3 %>" />
            </td>
        </tr>
        <tr>
            <td class="listDataNoB" valign="top">
                <asp:Label ID="errMsgLabel" ForeColor="red" runat="server"></asp:Label>
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                    DisplayMode="SingleParagraph" />
            </td>
        </tr>
    </table>
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="listDataNoB" valign="top" colspan="2">
                <table>
                    <tr>
                        <td>
                            <asp:Localize id="Localize3" runat="server" 
                                Text="<%$ Resources:call, Request_ID %>" />:<br />
                            <input type="text" id="srIDTxt" runat="server" size="15" maxlength="9">
                        </td>
                        <td>
                            <asp:Localize id="Localize4" runat="server" 
                                Text="<%$ Resources:call, Submitter_User_ID %>" />:<br />
                            <input type="text" id="submitterIDTxt" runat="server" size="15" maxlength="50">
                        </td>
                        <td valign="bottom">
                            <asp:Button ID="findSrButton" runat="server" 
                                Text="<%$ Resources:call, Find_Request %>" 
                                OnClick="findSRButton_Click" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="listDataNoB" valign="top" colspan="2">
                <asp:GridView ID="srGrid" runat="server" Width="100%" CellPadding="4" 
                    BorderWidth="0" GridLines="None" PageSize="15"
                    AutoGenerateSelectButton="True" AutoGenerateColumns="False"
                    AllowPaging="True" OnPageIndexChanging="srGrid_PageIndexChanging" 
                    OnSelectedIndexChanged="srGrid_SelectedIndexChanged" 
                    DataKeyNames="sr_id" 
                    EmptyDataText="<%$ Resources:call, No_records_found %>">
                    <HeaderStyle HorizontalAlign="Left" />
                    <Columns>
                        <asp:HyperLinkField 
                            DataTextField="sr_id" 
                            DataNavigateUrlFields="sr_id" 
                            DataNavigateUrlFormatString="~/SR/SRDetailPage.aspx?srID={0}"
                            HeaderText="<%$ Resources:call, Request_ID %>" 
                            Target="_blank">
                            <ItemStyle CssClass="listData" />
                        </asp:HyperLinkField>
                        <asp:BoundField DataField="sr_subject" 
                            HeaderText="<%$ Resources:call, Subject %>">
                            <ItemStyle CssClass="listData" />
                        </asp:BoundField>
                        <asp:BoundField DataField="sr_submitted_on" 
                            HeaderText="<%$ Resources:call, Submitted_On %>">
                            <ItemStyle CssClass="listData" />
                        </asp:BoundField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        <tr><td class="listData" colspan="2">&nbsp;</td></tr>
        <tr>
            <td class="listDataNoB" valign="top">
                <asp:Button ID="createSrButton" runat="server" 
                    Text="<%$ Resources:call, Create_Request %>" 
                    OnClick="createSrButton_Click" />
                <asp:Button ID="finishCallButton" runat="server" 
                    Text="<%$ Resources:call, Finish_Call %>" 
                    OnClick="finishCallButton_Click" />
            </td>
            <td class="listDataNoB" valign="top" align="right">
                <asp:Button ID="cancelCallButton" runat="server" 
                    Text="<%$ Resources:call, Cancel_Call %>" 
                    OnClick="cancelCallButton_Click" 
                    CausesValidation="False" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table cellSpacing="0" cellPadding="2" width="100%" border="0">
        <tr>
            <td class="listTitle">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:call, Help %>" />
            </td>
        </tr>
        <tr>
            <td class="listDataNoB">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:call, FindOrCreateSrHint %>" />
            </td>
        </tr>
    </table>
</asp:Content>
