<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Asset_AssetEditPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellSpacing="0" cellPadding="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:Localize id="L1" runat="server" 
                    Text="<%$ Resources:asset, Assets %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="60%" align="center" border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td>
                <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                    <tr>
                        <td class="formTitle">
                            <asp:Label ID="formTitle" Runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td class="formError">
                            <asp:label id="errMsgLabel" runat="server"></asp:label>
                            <asp:HiddenField ID="selectedProductID" runat="server" />
                        </td>
                    </tr>
                </table>
                <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" 
                    DisplaySideBar="False" Width="100%" NavigationStyle-CssClass="formCommand" 
                    OnNextButtonClick="NextButton_Click" 
                    OnFinishButtonClick="FinishButton_Click">
                    <WizardSteps>
                        <asp:WizardStep runat="server" Title="Step 1" StepType="Start">
                            <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                                <tr>
                                    <td>
                                        Select the most appropriate product: <br />
                                        <asp:TreeView ID="pdTree" runat="server" 
                                            OnTreeNodePopulate="pdTree_TreeNodePopulate"
                                            ImageSet="Msdn" NodeIndent="16" 
                                            EnableClientScript="true"
                                            PopulateNodesFromClient="true"  
                                            NodeWrap="True">
                                            <ParentNodeStyle Font-Bold="False" />
                                            <HoverNodeStyle Font-Underline="True" />
                                            <SelectedNodeStyle BackColor="WhiteSmoke" 
                                                BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                                                Font-Underline="False" HorizontalPadding="3px" 
                                                VerticalPadding="1px" />
                                            <NodeStyle 
                                                HorizontalPadding="4px" NodeSpacing="1px" 
                                                VerticalPadding="2px" />
                                        </asp:TreeView>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep runat="server" Title="Step 2" StepType="Finish">
                            <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                                <tr>
                                    <td colspan="2" class="formError">
                                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                                            DisplayMode="SingleParagraph" />
                                    </td>
                                </tr>
                                <tr>
                                    <td nowrap="nowrap">
                                        Status
                                    </td>
                                    <td nowrap="nowrap">
                                        <asp:DropDownList ID="statDdl" runat="server">
                                            <asp:ListItem Text="In Use" Value="1"></asp:ListItem>
                                            <asp:ListItem Text="In Repair" Value="2"></asp:ListItem>
                                            <asp:ListItem Text="Idle" Value="3"></asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>  
                                <tr>
                                    <td>
                                        Asset Name
                                    </td>
                                    <td>
                                        <asp:TextBox ID="nameTxt" runat="server" MaxLength="20" 
                                            Columns="30" TextMode="SingleLine" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Serial Number
                                    </td>
                                    <td>
                                        <asp:TextBox ID="SerialTxt" runat="server" MaxLength="20" 
                                            Columns="30" TextMode="SingleLine" />
                                    </td>
                                </tr>
                                <tr>
                                    <td nowrap="nowrap">
                                        User ID
                                    </td>
                                    <td nowrap="nowrap">
                                        <asp:TextBox ID="usrIDTxt" runat="server" Columns="30"
                                            MaxLength="8"></asp:TextBox>
                                        
                                    </td>
                                </tr>  
                                <tr>
                                    <td nowrap="nowrap">
                                        Date of Purchase
                                    </td>
                                    <td nowrap="nowrap">
                                        <asp:TextBox ID="PurchaseDateTxt" runat="server" MaxLength="10" 
                                            TabIndex="3" Columns="30" />
			                            <asp:CompareValidator id="dopDateFormat" runat="server" 
			                                ErrorMessage="Not a valid date" 
			                                ControlToValidate="PurchaseDateTxt" 
			                                Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
                                    </td>
                                </tr>  
                                <tr>
                                    <td valign="top">
                                        Description:
                                    </td>
                                    <td>
                                        <textarea id="descTxt" runat="server" cols="50" rows="4"></textarea>
                                    </td>
                                </tr>
	                        </table>            
	                    </asp:WizardStep>
                    </WizardSteps>
                </asp:Wizard>
            </td>
        </tr>
    </table>
</asp:Content>

