<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Rate_ListPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hl1" runat="server" CssClass="pathLink" 
                    NavigateUrl="RuleListPage.aspx"
                    Text="<%$ Resources:rate, ServiceRates %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table cellSpacing="0" cellPadding="4" width="100%" border="0">
		<tr>
		    <td class="leftCell">
                <asp:HyperLink id="HyperLink3" runat="server" CssClass="pathLink" 
                    NavigateUrl="RateEditPage.aspx"
                    Text="<%$ Resources:rate, New_Rate %>" />
		    </td>
		</tr>	
	</table>  
</asp:content> 

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server" >
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr id="errMsgLabelTr" runat="server">
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <asp:GridView id="rateGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging="True"
        OnSorting="rateGrid_Sorting" OnPageIndexChanging="rateGrid_PageIndexChanging">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:BoundField DataField="rate_id" 
                HeaderText="<%$ Resources:rate, Rate_ID %>" 
                SortExpression="rate_id">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="rate_name" 
                HeaderText="<%$ Resources:rate, Rate_Name %>" 
                SortExpression="rate_name" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="srv_name" 
                HeaderText="<%$ Resources:rate, Service %>" 
                SortExpression="srv_name">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="usr_display_name"  
                HeaderText="<%$ Resources:rate, Technician %>" 
                SortExpression="usr_display_name" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="rate_value"  
                HeaderText="<%$ Resources:rate, Rate %>" 
                SortExpression="rate_value" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl='<%# Eval("rate_id", "RateEditPage.aspx?rateID={0}") %>'
                        Text='<%$ Resources:rate, Edit %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" />
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink2" runat="server" 
                        NavigateUrl='<%# Eval("rate_id", "RateDelPage.aspx?rateID={0}") %>'
                        Text='<%$ Resources:rate, Delete %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" />
            </asp:TemplateField>
        </Columns>
    </ASP:GridView>
    <asp:HiddenField ID="sortDirectionHidden" runat="server" />
    <asp:HiddenField ID="sortExpressionHidden" runat="server" />
</asp:Content> 